# Uses of Interface
org.codehaus.janino.Visitor.FunctionDeclaratorVisitor

Packages that use Visitor.FunctionDeclaratorVisitor
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Visitor.FunctionDeclaratorVisitor in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Visitor.FunctionDeclaratorVisitor
Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
Java.ConstructorDeclarator.`accept(Visitor.FunctionDeclaratorVisitor<R,EX> visitor)`
`abstract <R, EX extends Throwable>
R`
Java.FunctionDeclarator.`accept(Visitor.FunctionDeclaratorVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.FunctionDeclaratorVisitor` for the concrete `Java.FunctionDeclarator` type.
`<R, EX extends Throwable>
R`
Java.MethodDeclarator.`accept(Visitor.FunctionDeclaratorVisitor<R,EX> visitor)`